<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE web-app
    PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN"
    "http://java.sun.com/dtd/web-app_2_3.dtd">

<web-app>

  <context-param>
  	<param-name>MESSAGE_MAX</param-name>
  	<param-value>20</param-value>
  </context-param>
  
  <context-param>
  	<param-name>ADMIN_LOGIN</param-name>
  	<param-value>admin</param-value>
  </context-param>
  
  <context-param>
  	<param-name>BIOMAJ_ROOT</param-name>
  	<param-value></param-value>
  </context-param>
  
  <context-param>
  	<param-name>JOBS_LOCATION</param-name>
  	<param-value></param-value>
  </context-param>

<!-- SSH CONFIG -->
  <context-param>
  	<param-name>EXECUTION</param-name>
  	<param-value>local</param-value>
  </context-param>
  
  <context-param>
  	<param-name>SSH_AUTH_TYPE</param-name>
  	<param-value>login</param-value>
  </context-param>
  
  <context-param>
  	<param-name>SSH_LOGIN</param-name>
  	<param-value></param-value>
  </context-param>
  
  <context-param>
  	<param-name>SSH_PASSWD</param-name>
  	<param-value></param-value>
  </context-param>
  
  <context-param>
  	<param-name>SSH_KEY_PATH</param-name>
  	<param-value></param-value>
  </context-param>
  
  <context-param>
  	<param-name>SSH_PASSPHRASE</param-name>
  	<param-value></param-value>
  </context-param>
  
  <context-param>
  	<param-name>SSH_HOSTS</param-name>
  	<param-value>localhost</param-value>
  </context-param>
<!-- END SSH -->

<!-- LDAP CONFIG -->
  <context-param>
  	<param-name>USELDAP</param-name>
  	<param-value>0</param-value>
  </context-param>
  
  <context-param>
  	<param-name>USELOCAL</param-name>
  	<param-value>1</param-value>
  </context-param>
  
  <context-param>
  	<param-name>LDAPHOST</param-name>
  	<param-value></param-value>
  </context-param>

  <context-param>
  	<param-name>LDAPDN</param-name>
  	<param-value></param-value>
  </context-param> 

  <context-param>
  	<param-name>OPTFILTER</param-name>
  	<param-value></param-value>
  </context-param>
<!-- END LDAP --> 

  <!-- Servlets -->
  <servlet>
    <servlet-name>authServlet</servlet-name>
    <servlet-class>org.inria.bmajwatcher.server.AuthenticationServiceImpl</servlet-class>
  </servlet>
  
  <servlet>
    <servlet-name>bankListingServlet</servlet-name>
    <servlet-class>org.inria.bmajwatcher.server.BankListingService</servlet-class>
  </servlet>
  
  <servlet>
  	<servlet-name>bankDetailServlet</servlet-name>
  	<servlet-class>org.inria.bmajwatcher.server.BankDetailServiceImpl</servlet-class>
  </servlet>
  
  <servlet>
  	<servlet-name>biomajLauncherServlet</servlet-name>
  	<servlet-class>org.inria.bmajwatcher.server.BiomajLauncherServiceImpl</servlet-class>
  	<load-on-startup>2</load-on-startup>
  </servlet>
  
  <servlet>
  	<servlet-name>bankStatServlet</servlet-name>
  	<servlet-class>org.inria.bmajwatcher.server.BankStatServiceImpl</servlet-class>
  </servlet>
  
  <servlet>
  	<servlet-name>schedulingServlet</servlet-name>
  	<servlet-class>org.inria.bmajwatcher.server.SchedulingServiceImpl</servlet-class>
  	<load-on-startup>1</load-on-startup>
  </servlet>
  
  <servlet>
  	<servlet-name>bankRemovalServlet</servlet-name>
  	<servlet-class>org.inria.bmajwatcher.server.BankRemovalServiceImpl</servlet-class>
  </servlet>
  
  <servlet>
  	<servlet-name>errorListingServlet</servlet-name>
  	<servlet-class>org.inria.bmajwatcher.server.ErrorListingService</servlet-class>
  </servlet>
  
  <servlet>
  	<servlet-name>bankQueryingService</servlet-name>
  	<servlet-class>org.inria.bmajwatcher.server.BankQueryingService</servlet-class>
  </servlet>
  
  <servlet>
  	<servlet-name>bankEditingService</servlet-name>
  	<servlet-class>org.inria.bmajwatcher.server.BankEditingServiceImpl</servlet-class>
  </servlet>
  
  <servlet>
  	<servlet-name>siteManagerService</servlet-name>
  	<servlet-class>org.inria.bmajwatcher.server.SiteManagerServiceImpl</servlet-class>
  </servlet>
  
  <servlet>
  	<servlet-name>userManagerService</servlet-name>
  	<servlet-class>org.inria.bmajwatcher.server.UserManagerServiceImpl</servlet-class>
  	<load-on-startup>3</load-on-startup>
  </servlet>
  
  <servlet>
  	<servlet-name>maintenanceServlet</servlet-name>
  	<servlet-class>org.inria.bmajwatcher.server.MaintenanceServiceImpl</servlet-class>
  </servlet>
 
   <servlet-mapping>
    <servlet-name>maintenanceServlet</servlet-name>
    <url-pattern>/bmajwatcher/maintenanceService</url-pattern>
  </servlet-mapping>
  
  <servlet-mapping>
    <servlet-name>authServlet</servlet-name>
    <url-pattern>/bmajwatcher/authenticationService</url-pattern>
  </servlet-mapping>
  
  <servlet-mapping>
    <servlet-name>bankListingServlet</servlet-name>
    <url-pattern>/bmajwatcher/bankListingService</url-pattern>
  </servlet-mapping>

  <servlet-mapping>
  	<servlet-name>bankDetailServlet</servlet-name>
  	<url-pattern>/bmajwatcher/bankDetailService</url-pattern>
  </servlet-mapping>
  
  <servlet-mapping>
  	<servlet-name>biomajLauncherServlet</servlet-name>
  	<url-pattern>/bmajwatcher/biomajLauncherService</url-pattern>
  </servlet-mapping>
  
  <servlet-mapping>
  	<servlet-name>bankStatServlet</servlet-name>
  	<url-pattern>/bmajwatcher/bankStatService</url-pattern>
  </servlet-mapping>

  <servlet-mapping>
  	<servlet-name>schedulingServlet</servlet-name>
  	<url-pattern>/bmajwatcher/schedulingService</url-pattern>
  </servlet-mapping>
  
  <servlet-mapping>
  	<servlet-name>bankRemovalServlet</servlet-name>
  	<url-pattern>/bmajwatcher/bankRemovalService</url-pattern>
  </servlet-mapping>

  <servlet-mapping>
  	<servlet-name>errorListingServlet</servlet-name>
  	<url-pattern>/bmajwatcher/errorListingService</url-pattern>
  </servlet-mapping>
  
  <servlet-mapping>
  	<servlet-name>bankQueryingService</servlet-name>
  	<url-pattern>/GET/*</url-pattern>
  </servlet-mapping>
  
  <servlet-mapping>
  	<servlet-name>bankEditingService</servlet-name>
  	<url-pattern>/bmajwatcher/bankEditingService</url-pattern>
  </servlet-mapping>
  
  <servlet-mapping>
  	<servlet-name>siteManagerService</servlet-name>
  	<url-pattern>/bmajwatcher/siteManagerService</url-pattern>
  </servlet-mapping>
  
  <servlet-mapping>
  	<servlet-name>userManagerService</servlet-name>
  	<url-pattern>/bmajwatcher/userManagerService</url-pattern>
  </servlet-mapping>

  <!-- Default page to serve -->
  <welcome-file-list>
    <welcome-file>BmajWatcher.html</welcome-file>
  </welcome-file-list>

</web-app>
